<?php
include("config.php");
require_once('libraries/phpmailer/PHPMailerAutoload.php');

//Fájl futtatásakor megadott paraméterek
$email = $_GET["email"];
$comment = $_GET["comment"];
$needscr = $_GET["needscr"];
$needsysdata = $_GET["needsysdata"];
$build = $_GET["build"];
$year = $_GET["year"];
$lang = $_GET["lang"];
$serial = $_GET["serial"];
$fileUpload = $_GET["fileUpload"];
$guid = $_GET["guid"];
$failed = $_GET["successUpload"];
$fileName = $_GET["fileName"];
$proto = isset($_GET['proto']) ? $_GET['proto'] : 'ftp';

$wasUpload = false;
if ($needscr == 1 or $needsysdata == 1) {
	$contributionmsg = "A felhasználó a következő adatok feltöltéséhez járult hozzá:<ul>";
	if ($needscr == 1)
		$contributionmsg = $contributionmsg . "<li>A képernyőjéről készült kép</li>";
	if ($needsysdata == 1)
		$contributionmsg = $contributionmsg . "<li>Az általa használt rendszer leírása</li>";
	$contributionmsg = $contributionmsg . "</ul>";
	$wasUpload = true;
} else
	$contributionmsg = "Képernyőkép és rendszeradatok küldéséhez nem járult hozzá!";

if ($fileUpload == 1) {
	if ($needscr == 1 or $needsysdata == 1)
		$fileUploadmsg = "Továbbá fájl feltöltést is kezdeményezett, melynek eredeti neve: " . $fileName . "<br>";
	else
		$fileUploadmsg = "A felhasználó fájl feltöltést kezdeményezett, melynek eredeti neve: " . $fileName . "<br>";

	$contributionmsg = $contributionmsg . $fileUploadmsg;
	$wasUpload = true;
}

if ($wasUpload) {
	if ($proto == 'ftp')
		$destination = "<br>A feltöltött fájl(ok) elérése:<br>A 'vendeg' felhasználó adataival való bejelentkezés után a tanis2.cadline.hu/uploadedProjects/" . $guid . " címen.<br>";
	else
		$destination = "<br>A feltöltött fájl(ok) elérése:<br>A 'webdavuser' felhasználó adataival való bejelentkezés után a https://webdav.cadline.hu/uploadedProjects/" . $guid . " címen.<br>";

	if ($failed == 0)
		$failOwnMsg = "<br><b>FIGYELMEZTETÉS:</b> A feltöltést a felhasználó megszakította, mielőtt az teljesen végbe ment volna! A fájlok egy része nem teljes!<br>";
	else
		$failOwnMsg = "";
} else {
	$destination = "<br>";
	$failOwnMsg = "";
}

$message = "Kedves Kollégák!<br><br>A mai napon az ARCHLine.XP " . $year . " programból az alábbi felhasználó hibajelentést küldött.<br>A felhasználó email címe: " . $email . "<br>Build: " . $build . "<br>Nyelv: " . $lang . "<br>Serial: " . $serial . "<br><br>" . $contributionmsg . $destination . $failOwnMsg . "<br>A felhasználó által megadott megjegyzés:<br><br><b>" . $comment . '</b>';

$mail = new PHPMailer;
$mail->isSMTP();
$mail->SMTPAuth = true;
$mail->CharSet = 'UTF-8';
$mail->Host = $mailconfig['Host'];
$mail->Username = $mailconfig['Username'];
$mail->Password = $mailconfig['Password'];
$mail->SMTPSecure = $mailconfig['SMTPSecure'];
$mail->Port = $mailconfig['Port'];
$mail->isHTML(TRUE);
$mail->setFrom(DEFAULT_EMAIL);
$mail->addAddress('support@cadline.hu');
$mail->Subject = 'Projekt feltölés - ARCHLine.XP';
$mail->msgHTML($message);
$mail->AltBody = strip_tags($message);
$mail->send();
unset($mail);

if ($lang == "hun")
	print "Köszönjük a visszajelzést!";
else
	print "Thank you for your report!";
